PNGCP(1)

NAME
pngcp - create a new PNG file, having changed some attributes

SYNOPSIS

 pngcp [-d <depth>] [-s <samples per pixel>] <input filename> <output filename>

DESCRIPTION

The pngcp create a new PNG file using the image data from the input file. The output file will have the bitdepth and number of samples per pixel as specified on the command line. There are limits on what is a valid combination imposed by the PNG specification -- pngcp will inform you of invalid combinations.

Samples with more than eight bits are not correctly handled at the moment.

RETURNS

Nothing

EXAMPLE

pngcp toucan.png new.png

SEE ALSO

tiffcp(1) pngchunkdesc(1) pnginfo(1)

VERSION

This documentation is for pngtools 1.0.

AUTHOR

pngtools was written by Michael Still and is released under the GNU GPL. The project is hosted at https://github.com/mikalstill/pngtools.

BUGS

Please report bugs at https://github.com/mikalstill/pngtools/issues.